Query premium vehicle details

Get access to even more detailed data through the vehiclePremium query. It contains extended data about the battery, the body of the vehicle, availability, pricing, efficiency, safety, and more. Contact sales to upgrade to premium vehicle data.

Query

A vehicle id is required to get vehicle premium details. Pull the id from the vehicleList query. Use the country argument to apply localization to the data. For example, set country to US to receive the names and plug types as they are known in the United States.

Arguments

id • ID

• Required

Vehicles unique ID.

country • CountryCodeAlpha2

ISO-3166 alpha-2 country code to apply localization on vehicle data if available.

Show CountryCodeAlpha2 enum values

Selectable fields - Frequently requested

id • ID

Vehicles unique ID.

naming • VehiclePremiumNaming

Naming of the vehicle.

connectors • VehicleConnector

Connectors available for the vehicle. Please note that for HEVs this will always be an empty array.

fast_charge • VehiclePremiumFastCharge

Fast charge details.

routing • VehiclePremiumRouting

Routing of the vehicle.

Selectable fields

succesor_id • String

Internal ID of the successor vehicle trim.

charge • VehiclePremiumCharge

Charge details.

adapters • VehicleConnector

Adapters of connectors available for a connectors of the vehicle. Please note that for HEVs this will always be an empty array.

battery • VehiclePremiumBattery

Battery of the vehicle.

body • VehiclePremiumBody

Body of the vehicle.

availability • VehiclePremiumAvailability

Availability of the vehicle.

pricing • VehiclePremiumPriceValueWithGrant

Starting price in the currency defined in the field argument. If not defined, it will return the starting price in the currency returned in the currency field.

drivetrain • VehiclePremiumDrivetrain

Drivetrain of the vehicle.

performance • VehiclePremiumPerformance

Performance of the vehicle.

range • VehiclePremiumRange

Range of the vehicle.

efficiency • VehiclePremiumEfficiency

Efficiency of the vehicle.

safety • VehiclePremiumSafety

Safety of the vehicle.

media • VehiclePremiumMedia

Media of the vehicle.

connect • Connect

Information about vehicle connectivity.

region • VehicleRegion

Regions in which the vehicle is available. Based on the continent code (CC) standard.

Show VehicleRegion enum values

purpose • VehiclePurpose

Vehicle intended use. Can be passenger, cargo, or utility.

Show VehiclePurpose enum values

type • VehicleType

Type of vehicle.

Show VehicleType enum values

heat_pump • VehicleHeatPump

Details about Heat Pump.

Response

A response can either contain a data or an errors object. The response header will always return 200 as a status code.

Data object

When successful, a data object will be returned with the requested fields. If there are no fields present the data object will return the operation name with the appropriate return type. If the operation was a query, this output will be an object of the schema’s query root type; if the operation was a mutation, this output will be an object of the schema’s mutation root type.

Error object

If unsuccessful, an errors object will be returned with more details in the extensions object. The error object can contain any of the following objects.